''*************************************
''*  NTSC Video Overlay Test Program  *
''*      (C) 2006 Hitt Consulting     *
''*      terry@hittconsulting.com     *
''*************************************

' Used to test "HITT_Video_Overlay_012" object


CON
  _clkmode        = xtal1 + pll8x ' Overlay Object works @ 40MHz ONLY!
  _xinfreq        = 5_000_000


OBJ
  Overlay: "HITT_Video_Overlay_012"


VAR
  LONG temp

  
PUB Start
  Overlay.init
  Overlay.SetMode(2)
 Overlay.MoveTo(0, 0)
  Overlay.PutStr(STRING("Lines , Bars, Circles"))
 Overlay.MoveTo(0, 23)
  Overlay.disc(40,50,30)
 Overlay.MoveTo(0, 68)
  Overlay.bar(190,70,100,50)
  Overlay.bar(160,50,80,30)
 Overlay.MoveTo(60, 70)
  Overlay.PutStrBig(STRING("BIG 16 x 11"))
 Overlay.MoveTo(0, 98)
  Overlay.PutStrBig(STRING("1234567890123456"))
 Overlay.MoveTo(0, 23)
  Overlay.disc(40,50,20)
 Overlay.MoveTo(0, 23)
  Overlay.disc(40,50,10)
 Overlay.MoveTo(0, 138)
  Overlay.PutStr(STRING("Small 32x25 Characters x Lines"))
 Overlay.MoveTo(0, 158)
  Overlay.PutStr(STRING("12345678901234567890123456789012"))
 Overlay.MoveTo(0, 168)
  Overlay.PutStr(STRING(" 05/09/09 13:45  SPD:  12.4"))
  Overlay.MoveTo(0, 176)
  Overlay.PutStr(STRING(" LAT:  34.5678   HDG:  45"))
  Overlay.MoveTo(0, 184)
  Overlay.PutStr(STRING(" LONG:106.6789   ALT:6565"))

 REPEAT
    REPEAT temp FROM 0 TO 255
      Overlay.Line(temp, 0, 255-temp, 191)
      WaitCnt(200000+Cnt)
      Overlay.Line(temp, 0, 255-temp, 191)

    REPEAT temp FROM 191 TO 0
      Overlay.Line(0, temp, 255, 191-temp)
      WaitCnt(200000+Cnt)
      Overlay.Line(0, temp, 255, 191-temp)

      
       